---
lang: en
title: 'API docs: security.defaultsubject.addauthority'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.defaultsubject.addauthority.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [DefaultSubject](./security.defaultsubject.md) &gt; [addAuthority](./security.defaultsubject.addauthority.md)

## DefaultSubject.addAuthority() method

**Signature:**

```typescript
addAuthority(...authorities: Permission[]): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  authorities | [Permission](./security.permission.md)<!-- -->\[\] |  |

**Returns:**

void


